Up

# NSColorList

### Authors

Scott Christley (`scottc@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> Manage named lists of NSColors.

Copyright: (C) 1996, 2000 Free Software Foundation, Inc.

# Software documentation for the NSColorList class

## NSColorList : NSObject

> Declared in:
>   AppKit/NSColorList.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +availableColorLists
- +colorListNamed:
- -allKeys
- -colorWithKey:
- -encodeWithCoder:
- -initWithCoder:
- -initWithName:
- -initWithName:fromFile:
- -insertColor:key:atIndex:
- -isEditable
- -name
- -removeColorWithKey:
- -removeFile
- -setColor:forKey:
- -writeToFile:

### availableColorLists

+ (NSArray*) availableColorLists;

Description forthcoming.

### colorListNamed:

+ (NSColorList*) colorListNamed: (NSString*)name;

Description forthcoming.

### allKeys

- (NSArray*) allKeys;

Description forthcoming.

### colorWithKey:

- (NSColor*) colorWithKey: (NSString*)key;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### initWithName:

- (id) initWithName: (NSString*)name;

Description forthcoming.

### initWithName:fromFile:

- (id) initWithName: (NSString*)name fromFile: (NSString*)path;

Description forthcoming.

### insertColor:key:atIndex:

- (void) insertColor: (NSColor*)color key: (NSString*)key atIndex: (unsigned)location;

Description forthcoming.

### isEditable

- (BOOL) isEditable;

Description forthcoming.

### name

- (NSString*) name;

Description forthcoming.

### removeColorWithKey:

- (void) removeColorWithKey: (NSString*)key;

Description forthcoming.

### removeFile

- (void) removeFile;

Description forthcoming.

### setColor:forKey:

- (void) setColor: (NSColor*)aColor forKey: (NSString*)key;

Description forthcoming.

### writeToFile:

- (BOOL) writeToFile: (NSString*)path;

Description forthcoming.

Up